summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-01-31 21:23:18 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-01-31 21:32:58 +0100
commitd2b1c4a0f987de3ddc6c6cd15412e2eb5347c4b2 (patch)
treeef0d86d634b427f36a7ddcf161f7fb79d31bd184
parentprofiles: mask media-video/ffmpeg[nvenc] and unmask it on arches where nvidia... (diff)
downloadgentoo-d2b1c4a0f987de3ddc6c6cd15412e2eb5347c4b2.tar.gz
gentoo-d2b1c4a0f987de3ddc6c6cd15412e2eb5347c4b2.tar.bz2
gentoo-d2b1c4a0f987de3ddc6c6cd15412e2eb5347c4b2.zip
app-text/libmwaw: 0.3.10 version bump
Package-Manager: portage-2.3.3
-rw-r--r--app-text/libmwaw/Manifest1
-rw-r--r--app-text/libmwaw/libmwaw-0.3.10.ebuild52
-rw-r--r--app-text/libmwaw/libmwaw-9999.ebuild4
3 files changed, 55 insertions, 2 deletions
diff --git a/app-text/libmwaw/Manifest b/app-text/libmwaw/Manifest
index fdf6791a596..c3a77d22698 100644
--- a/app-text/libmwaw/Manifest
+++ b/app-text/libmwaw/Manifest
@@ -1,2 +1,3 @@
+DIST libmwaw-0.3.10.tar.xz 1229964 SHA256 b246a0c15fcf98076f2a1f2cf4d44a714f5c8eb39690442fc7fbbd01fa34f220 SHA512 5d225ecb89466d486900a33abf10b61e6f6bbff00053c5f6ab0046960c64c3022529a1e637594eca47b14c96c9f8440db9331d1db687f761c1026c64fb8301d5 WHIRLPOOL 7d537d55cc8491f8be2676d5b9a0e36ecdeb041e38e9416c43547730871bf757409c8b77460e507d87c4cc287b62ad2b449a5af8bed4b0406fbcca3759ef3ff4
DIST libmwaw-0.3.8.tar.xz 1200052 SHA256 6afcbb250b6bed042149cd4dfb3ba7b4be796b11fe2322dfcdebd121199a3b05 SHA512 3e3684479460d22b83da225f8f1bc4de306f8e4a9e48c7ea128cba08f122b093c529f2e73b8f8ae1b235665d4f3c7de2fc461692e21f13364da678add707d01c WHIRLPOOL 77d9b1253191089da5c869e7bb160253672747cfd502350b28acde538e02b8418c0ee63899bf903b4c3c9f1561d145d0626c822f26467cb8ba7aa4de04287158
DIST libmwaw-0.3.9.tar.xz 1226044 SHA256 f7fca4d31510e52cda94f1272147f385e372448c0aaef16f07a5e8b3ceb5b2a0 SHA512 41ed9adbe4d73f0554629394f33b20c11ead86b1922af37451fa8c7179d55d61b09da72d676fb0ce123818675450048a87b9f4d67ad2e8070269724bd2cd0051 WHIRLPOOL 88eac9a04707249ebb874504b2012786b2b21f1e2fd42f07d3a809bef343b6a1ad5cb3ffebb484c2da52bc47ff3050f98d8e64dacabe8caca1e7a5e75b4f8d90
diff --git a/app-text/libmwaw/libmwaw-0.3.10.ebuild b/app-text/libmwaw/libmwaw-0.3.10.ebuild
new file mode 100644
index 00000000000..c0503c206ed
--- /dev/null
+++ b/app-text/libmwaw/libmwaw-0.3.10.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGIT_REPO_URI="git://git.code.sf.net/p/libmwaw/libmwaw"
+[[ ${PV} == 9999 ]] && inherit autotools git-r3
+
+DESCRIPTION="Library parsing many pre-OSX MAC text formats"
+HOMEPAGE="https://sourceforge.net/p/libmwaw/wiki/Home/"
+[[ ${PV} == 9999 ]] || SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+[[ ${PV} == 9999 ]] || \
+KEYWORDS="~amd64 ~arm ~x86"
+
+IUSE="doc static-libs tools"
+
+RDEPEND="
+ dev-libs/librevenge
+ dev-libs/libxml2
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ sys-devel/libtool
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ # zip is hard enabled as the zlib is dep on the rdeps anyway
+ econf \
+ --enable-zip \
+ --disable-werror \
+ --with-sharedptr=c++11 \
+ $(use_with doc docs) \
+ $(use_enable static-libs static) \
+ $(use_enable tools)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/app-text/libmwaw/libmwaw-9999.ebuild b/app-text/libmwaw/libmwaw-9999.ebuild
index a1f58dc56e5..c0503c206ed 100644
--- a/app-text/libmwaw/libmwaw-9999.ebuild
+++ b/app-text/libmwaw/libmwaw-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -8,7 +8,7 @@ EGIT_REPO_URI="git://git.code.sf.net/p/libmwaw/libmwaw"
[[ ${PV} == 9999 ]] && inherit autotools git-r3
DESCRIPTION="Library parsing many pre-OSX MAC text formats"
-HOMEPAGE="http://sourceforge.net/p/libmwaw/wiki/Home/"
+HOMEPAGE="https://sourceforge.net/p/libmwaw/wiki/Home/"
[[ ${PV} == 9999 ]] || SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
LICENSE="LGPL-2.1"